Package weka.gui.graphvisualizer

# Interface GraphConstants

All Known Implementing Classes:
  `BIFParser`, `DotParser`, `GraphNode`, `GraphVisualizer`, `HierarchicalBCEngine`

public interface GraphConstants
GraphConstants.java

Version:
  $Revision: 1.5 $ - 24 Apr 2003 - Initial version (Ashraf M. Kibriya)
Author:
  Ashraf M. Kibriya (amk14@cs.waikato.ac.nz)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DIRECTED`
Types of Edges
`static final int`
`DOUBLE`
Types of Edges
`static final int`
`NORMAL`
NORMAL node - node actually contained in graphs description
`static final int`
`PLURAL_DUMMY`
PLURAL_DUMMY node - node with more than one outgoing edge i.e.
`static final int`
`REVERSED`
Types of Edges
`static final int`
`SINGULAR_DUMMY`
SINGULAR_DUMMY node - node with only one outgoing edge i.e.

## Field Details

### DIRECTED

static final int DIRECTED
Types of Edges

See Also:
  - Constant Field Values

### REVERSED

static final int REVERSED
Types of Edges

See Also:
  - Constant Field Values

### DOUBLE

static final int DOUBLE
Types of Edges

See Also:
  - Constant Field Values

### SINGULAR_DUMMY

static final int SINGULAR_DUMMY
SINGULAR_DUMMY node - node with only one outgoing edge i.e. one which represents a single edge and is inserted to close a gap

See Also:
  - Constant Field Values

### PLURAL_DUMMY

static final int PLURAL_DUMMY
PLURAL_DUMMY node - node with more than one outgoing edge i.e. which represents an edge split and is inserted to close a gap

See Also:
  - Constant Field Values

### NORMAL

static final int NORMAL
NORMAL node - node actually contained in graphs description

See Also:
  - Constant Field Values